org.eclipse.gef.dot.internal.language

## Class DotPortPosStandaloneSetupGenerated

- java.lang.Object
- - org.eclipse.gef.dot.internal.language.DotPortPosStandaloneSetupGenerated

All Implemented Interfaces:
  org.eclipse.xtext.ISetup

Direct Known Subclasses:
  DotPortPosStandaloneSetup

    public class DotPortPosStandaloneSetupGenerated
    extends java.lang.Object
    implements org.eclipse.xtext.ISetup

Generated from StandaloneSetup.xpt!

### Constructor Summary

Constructors
Constructor and Description
`DotPortPosStandaloneSetupGenerated()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.inject.Injector` `createInjector()`
`com.google.inject.Injector` `createInjectorAndDoEMFRegistration()`
`void` `register(com.google.inject.Injector injector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotPortPosStandaloneSetupGenerated

    public DotPortPosStandaloneSetupGenerated()

### Method Detail

#### createInjectorAndDoEMFRegistration

    public com.google.inject.Injector createInjectorAndDoEMFRegistration()

Specified by:
  `createInjectorAndDoEMFRegistration` in interface `org.eclipse.xtext.ISetup`

#### createInjector

    public com.google.inject.Injector createInjector()

#### register

    public void register(com.google.inject.Injector injector)